Download it now!
Bug 38448 - MAILMERGE -> create new address list -> customize -> no scrolling
Summary: MAILMERGE -> create new address list -> customize -> no scrolling
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Christopher Copits
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-18 09:36 UTC by Steven Baur
Modified: 2013-03-14 22:58 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
No way to scroll up (55.73 KB, image/jpeg)
2011-06-18 09:36 UTC, Steven Baur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Baur 2011-06-18 09:36:30 UTC
Created attachment 48138 [details]
No way to scroll up

LibreOffice 3.4.1 OOO340m1 (Build:101), natty, nightly

1. create a new address list (e.g. mailmerge)
2. scroll down the list of possible elements (Name, Address, Phone,...)
3. click on "customize" and delete some list elements ->OK
4. scroll bar stays in lower position, no possibility to scroll up the list elements
Comment 1 Christopher Copits 2013-02-23 19:58:45 UTC
I will look into fixing this.
Comment 2 Christopher Copits 2013-02-28 00:19:07 UTC
Patch submitted for review.

To reproduce the problem:
-------------------------

1. In Writer, go to Tools > Mail Merge Wizard.
2. On the left column, click "3. Insert Address Book".
3. In the right, click "Select Address List" button.
4. Click "Create".
5. Scroll the scroll bar all the way down.
6. Click "Customize".
7. Using the delete button, delete all entries except for one.
8. Click OK.
9. Observe that the scrollbar is stuck all the way down and that there is no way to scroll up.

What changes I made:
--------------------
1. After the address list is edited, the scroll bar scrolls up.
2. If all entries are deleted from the list, the scroll bar scrolls all the way up and is disabled.
3. When multiple entries are deleted, the scroll bar is not reset to match the entries. Therefore, I reset the scrollbar in this case.

To Test:
--------

Test Case 1:
(Tests deleting all entries except for one.)

1. In Writer, go to Tools > Mail Merge Wizard.
2. On the left column, click "3. Insert Address Book".
3. In the right, click "Select Address List" button.
4. Click "Create".
5. Scroll the scroll bar all the way down.
6. Click "Customize".
7. Using the delete button, delete all entries except for one.
8. Click OK.
9. Observe that the scrollbar has been reset to the top and it is disabled; the item should still be in view.

Test Case 2:
(Tests deleting all entries.)

1. In Writer, go to Tools > Mail Merge Wizard.
2. On the left column, click "3. Insert Address Book".
3. In the right, click "Select Address List" button.
4. Click "Create".
5. Scroll the scroll bar all the way down.
6. Click "Customize".
7. Using the delete button, delete all entries.
8. Click OK.
9. Observe that the scrollbar has been reset to the top and it is disabled.

Test Case 3:
(Tests reseting the scroll bar for multiple items.)

1. In Writer, go to Tools > Mail Merge Wizard.
2. On the left column, click "3. Insert Address Book".
3. In the right, click "Select Address List" button.
4. Click "Create".
5. Scroll the scroll bar all the way down.
6. Click "Customize".
7. Using the delete button, delete the first four entries.
8. Click OK.
9. Observe that the scrollbar has been reset to the top to match the contents of the window.
Comment 3 Commit Notification 2013-03-14 22:57:13 UTC
Christopher Copits committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cafeddf42e128110bf69ce93af39658080d7c63

fdo#38448 No scrolling in mailmerge's create new address list > customize



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2013-03-14 22:58:51 UTC
looks fixed to me, thanks for this.